Subject: Re: [sipcore] RFC 4028 UAS behavior requirement of Require header

From: Ranjit Avasarala <[email-masked]>
Date: Fri, 28 May 2021 14:38:09 -0500

Hi Holi
the presence of the "Require" header with value "timer" from UAS indicates
to UAC that it (UAC) is performing the refreshing operation. but if the UAS
is the refresher, then if Require header with value "timer" is present in
response from UAS, then UAC should send BYE if it does not receive a
session refresh request from UAS.

Regards
Ranjit

On Fri, May 28, 2021 at 10:02 AM Hoil Choi <[email-masked]> wrote:

> Hello,
>
> I hope this mail finds appropriate person or team for an answer to my
> question on RFC 4028.
> I am a SIP enthusiast and always learning a lot about it, but by no means
> am I an expert; so please excuse my ignorance.
>
> I came across an interesting statement In Section 9 UAS Behavior (or page
> 16).
>
>
> If the refresher parameter in the Session-Expires header field in the
>    2xx response has a value of 'uac', the UAS MUST place a Require
>    header field into the response with the value 'timer'.
>
>
> Statement seems to convey that UAS must place a Require header with value
> 'timer' when UAC requests itself to be the refresher.
>
> However, this statement should only be true, if UAC did not put
> Session-Expire with value of 'uac'.
>
> If UAC, in INVITE request, put Session-Expire with value of 'uac'
> (itself), UAS should not bother putting Require header field in the
> response.  Or to be more accurate, UAC should include 'timer' in Supported
> header, so that UAS doesn't have to bother putting Require header field.
>
> What is the reason behind the requirement of Require header, from UAS in
> this case?
>
> Thanks!
> Hoil Choi
> 253-273-5442
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>